org.eclipse.ease.ui.help.hovers

## Interface IHoverHelp

All Known Implementing Classes:
  ConstantHelp, MethodHelp, ModuleHelp

    public interface IHoverHelp

### Nested Class Summary

Nested Classes
`static interface` `IHoverHelp.IMementoVisitor`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`java.lang.String` `getDescription()`
`java.lang.String` `getHoverContent()`
`static java.lang.String` `getImageAndLabel(java.lang.String imageSrcPath, java.lang.String label)`
`java.lang.String` `getName()`
`static java.lang.String` `getNodeContent(IMemento node)`
`static java.lang.String` `resolveUrl(java.net.URL baseUrl, java.lang.String relativeLocation)`
`static void` `updateRelativeLinks(IMemento contentNode, java.net.URL baseUrl)` Replace relative links in HTML content with absolute links.
`static void` `visitMemento(IMemento node, IHoverHelp.IMementoVisitor visitor)`

### Method Detail

#### visitMemento

    static void visitMemento(IMemento node,
                             IHoverHelp.IMementoVisitor visitor)

#### getNodeContent

    static java.lang.String getNodeContent(IMemento node)

#### updateRelativeLinks

    static void updateRelativeLinks(IMemento contentNode,
                                    java.net.URL baseUrl)

Replace relative links in HTML content with absolute links.

Parameters:
  `contentNode` - original content

#### resolveUrl

    static java.lang.String resolveUrl(java.net.URL baseUrl,
                                       java.lang.String relativeLocation)

#### getImageAndLabel

    static java.lang.String getImageAndLabel(java.lang.String imageSrcPath,
                                             java.lang.String label)

#### getName

    java.lang.String getName()

#### getDescription

    java.lang.String getDescription()

#### getHoverContent

    java.lang.String getHoverContent()